2014-11-05 11:50 PM - Piotr Sadowski

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DXF export

Affected QGIS version:2.6.0 Regression?: No

Operating System: Win x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19840

Description

After export to DXF Polish diacritic signs (special characters as ą, ó, ł, ż, ź, ń, ś) are all converted to "?" sign.

Attached are the screenshots from QGIS and AutoCAD. Probably this is a problem on the side of QGIS, because previous version 2.4.0

exported them correctly.

Associated revisions

Revision d9a16545 - 2015-02-15 10:10 PM - Jürgen Fischer

dxf export: make encoding configurable (fixes #11578)

History

#1 - 2014-11-06 02:57 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#2 - 2014-11-06 05:31 AM - Andreas Neumann

Is the same (correct) font used in Autocad?

#3 - 2014-11-06 07:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2014-11-07 12:26 AM - Piotr Sadowski

Andreas Neumann wrote:

Is the same (correct) font used in Autocad?

Yes, I tried with many different fonts, but it is not a problem of font - in "properties" dialog in AutoCAD there are "?" signs in the "contents" field (the result is

the same with Draftsight CAD).

This means that no matter what font we use, we will always get the "?" sign.

The previous version exported it correctly (only as text entity, not mtext - which is quite useful).

Thanks for the feedback!

#5 - 2014-11-07 04:00 AM - Giovanni Manghi

- Status changed from Feedback to Open
#6 - 2015-01-16 10:26 AM - Jürgen Fischer

Please attach a sample project with data to reproduce this easily.

#7 - 2015-01-16 01:55 PM - Jürgen Fischer

- Status changed from Open to Feedback

#8 - 2015-02-15 09:12 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"d9a1654501b6b1a0375e4f5a1ac85140d9b62490".
